package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.NumberFormat;
import java.util.Locale;

import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Checkbox;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.integracao.FechamentoCntCorrenteVO;

public class RenderFechamentoCntcorrente implements ListitemRenderer {

	NumberFormat numberFormat = NumberFormat.getCurrencyInstance(new Locale("pt", "BR"));
	
	private EventListener listenerGenerico;
	
	public RenderFechamentoCntcorrente(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	@Override
	public void render(Listitem lstm, Object o) throws Exception {

		FechamentoCntCorrenteVO fechamentoCntcorrente = (FechamentoCntCorrenteVO) o;

		Listcell lc = new Listcell();

		Checkbox chk = new Checkbox();
		chk.setId(fechamentoCntcorrente.getFechamentocntcorrenteId().toString());
		chk.setAttribute("data", o);
		chk.addEventListener("onCheck", listenerGenerico);
		
		lc = new Listcell();
		chk.setParent(lc);
		lc.setParent(lstm);

		lc = new Listcell(fechamentoCntcorrente.getNombEmpresa());
		lc.setParent(lstm);

		lc = new Listcell(fechamentoCntcorrente.getNombpuntoventa());
		lc.setParent(lstm);

		lc = new Listcell(fechamentoCntcorrente.getFecfechamento());
		lc.setParent(lstm);

		lc = new Listcell(fechamentoCntcorrente.getFeclancamento());
		lc.setParent(lstm);

		lc = new Listcell(numberFormat.format(fechamentoCntcorrente.getTotal()));
		lc.setParent(lstm);
		
		lc = new Listcell(fechamentoCntcorrente.getFechamentocntcorrenteId().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(fechamentoCntcorrente.getIntegradoSap().toString() );
		lc.setParent(lstm);

		lstm.setAttribute("data", fechamentoCntcorrente);
	}

}
